Bug 190118 - [patch] Add staging support to www/grails
Summary: [patch] Add staging support to www/grails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 18:40 UTC by joe
Modified: 2014-05-25 06:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.69 KB, patch)
2014-05-22 18:40 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-22 18:40:00 UTC
Adds staging support to www/grails.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-22 18:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-22 18:40:05 UTC
Maintainer of www/grails,

Please note that PR ports/190118 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190118

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-05-22 18:40:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Mitchell Smith 2014-05-22 21:52:31 UTC
Hi,

The patch looks fine to me, please go ahead and commit it.

Thanks


On Thu, 22 May 2014 17:40:05 UT, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of www/grails,
>
> Please note that PR ports/190118 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190118
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 Martin Wilke freebsd_committer 2014-05-25 06:31:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2014-05-25 06:31:17 UTC
Author: miwi
Date: Sun May 25 05:31:13 2014
New Revision: 355128
URL: http://svnweb.freebsd.org/changeset/ports/355128
QAT: https://qat.redports.org/buildarchive/r355128/

Log:
  - Stage support
  
  PR:		190118
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Approved by:	maintainer

Modified:
  head/www/grails/Makefile

Modified: head/www/grails/Makefile
==============================================================================
--- head/www/grails/Makefile	Sun May 25 05:30:22 2014	(r355127)
+++ head/www/grails/Makefile	Sun May 25 05:31:13 2014	(r355128)
@@ -29,27 +29,26 @@ PLIST_FILES=	${SCRIPTFILES:S,^,bin/,} \
 PLIST_DIRS=	${DATADIR:S,${PREFIX}/,,}/bin
 SUB_FILES=	edit-startGrails.sed pkg-message
 
-NO_STAGE=	yes
 do-install:
 	@${ECHO_MSG} -n ">> Installing data files in ${DATADIR}..."
 	@cd ${WRKSRC} \
-	  && ${FIND} ${DATAFILES} -type d -exec ${MKDIR} ${DATADIR}/{} \; \
-	  && ${FIND} ${DATAFILES} -type f -exec ${INSTALL_DATA} {} ${DATADIR}/{} \;
+	  && ${FIND} ${DATAFILES} -type d -exec ${MKDIR} ${STAGEDIR}${DATADIR}/{} \; \
+	  && ${FIND} ${DATAFILES} -type f -exec ${INSTALL_DATA} {} ${STAGEDIR}${DATADIR}/{} \;
 	@${ECHO_MSG} " [ DONE ]"
 	@${ECHO_MSG} -n ">> Installing and symlinking executables..."
-	@${MKDIR} ${DATADIR}/bin
+	@${MKDIR} ${STAGEDIR}${DATADIR}/bin
 	@${REINPLACE_CMD} -f ${WRKDIR}/edit-startGrails.sed ${WRKSRC}/bin/startGrails
 .for file in ${SCRIPTFILES}
 	@${ECHO_MSG} -n " ${file}"
-	@${INSTALL_SCRIPT} ${WRKSRC}/bin/${file} ${DATADIR}/bin/${file}
-	@${LN} -fs ${DATADIR}/bin/${file} ${PREFIX}/bin/${file}
+	@${INSTALL_SCRIPT} ${WRKSRC}/bin/${file} ${STAGEDIR}${DATADIR}/bin/${file}
+	@${LN} -fs ${DATADIR}/bin/${file} ${STAGEDIR}${PREFIX}/bin/${file}
 .endfor
 	@${ECHO_MSG} " [ DONE ]"
 .if !defined(NOPORTDOCS)
 	@${ECHO_MSG} -n ">> Installing documentation in ${DOCSDIR}..."
 	@cd ${WRKSRC}/doc \
-	  && ${FIND} . -type d -exec ${MKDIR} ${DOCSDIR}/{} \; \
-	  && ${FIND} . -type f -exec ${INSTALL_DATA} {} ${DOCSDIR}/{} \;
+	  && ${FIND} . -type d -exec ${MKDIR} ${STAGEDIR}${DOCSDIR}/{} \; \
+	  && ${FIND} . -type f -exec ${INSTALL_DATA} {} ${STAGEDIR}${DOCSDIR}/{} \;
 	@${ECHO_MSG} " [ DONE ]"
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"